$ErrorActionPreference = 'Stop';

$packageName = 'MemProfiler'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_5_37-32bit.msi'
$url64      = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_5_37-64bit.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'MemProfiler*'

  checksum      = '23f9bca70daff0b376085d802a545fbf936de4f13ca888fdafe113a651a50c38'
  checksumType  = 'sha256'
  checksum64    = '98a7512bb9071df94be7b88d0cd108b54b9c37a1c048e1ee61848f118b3c9b07'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
